Subject: Re: [Emu] Implementation report for EAP-TLS 1.3: OK, with nits

From: John Mattsson <[email-masked]>
Date: Mon, 28 Jan 2019 16:22:33 +0000

Hi Alan,

The intention with "All other parameters such as MSK and EMSK are derived as specified in EAP-TLS [RFC5216], Section 2.3." was to only mention changes compared to RFC 5216.

Avoiding potential confusion is a very important goal to avoid incompatible implementations. I think we should make any clarification needed to avoid that. Your mail only mentions MSK and EMSK, but I think the situation are similar with Enc-RECV-Key, Enc-SEND-Key, RECV-IV, and SEND-IV.

Should all of the following be added to draft-ietf-emu-eap-tls13?

   MSK          = Key_Material(0, 63)
   EMSK         = Key_Material(64, 127)
   Enc-RECV-Key = MSK(0, 31)
   Enc-SEND-Key = MSK(32, 63)
   RECV-IV      = IV(0, 31)
   SEND-IV      = IV(32, 63)

Cheers,
John

---

From: Alan DeKok <[email-masked]>
Date: Mon, 28 Jan 2019 11:25:28 -0500

> The intention with "All other parameters such as MSK and EMSK are derived as specified in EAP-TLS [RFC5216], Section 2.3." was to only mention changes compared to RFC 5216.

  Sure.  The confusion is that when reading RFC 5216, it defines Key_Material in the same block of text as MSK and EMSK.  That raises the possibility for confusion.

> Should all of the following be added to draft-ietf-emu-eap-tls13?

  I think so, yes.

  Maybe also:

All other parameters such as MSK and EMSK are derived in the same manner as with EAP-TLS [RFC5216], Section 2.3.  The definitions are repeated below for simplicity:

  Alan DeKok.